Bug 504014 - Changing base channel on kickstart profile to one that has no available distributions/trees results in ISE
Changing base channel on kickstart profile to one that has no available distr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Partha Aji
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-03 15:45 EDT by Steve Salevan
Modified: 2009-09-10 15:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-06-03 15:45:31 EDT
Description of problem:
If a user visits:

/rhn/kickstart/KickstartSoftwareEdit.do?ksid=<ksid>

and changes the base channel to one which contains no applicable kickstart distributions, then clicks 'Update Kickstart', a 500 ISE results.

Version-Release number of selected component (if applicable):
530, 5/29 build

How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart profile
2. Visit the /rhn/kickstart/KickstartSoftwareEdit.do?ksid=<ksid> page for that particular profile
3. Change the base channel to one which has no applicable kickstart distributions
4. Click 'Update Kickstart'
  
Actual results:
500 ISE, resulting in attached traceback

Expected results:
No ISE (perhaps an error, though)

Additional info:
Comment 2 Partha Aji 2009-06-05 14:40:59 EDT
Should be fixed in the next ISO ... http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=2ca36c270de74974f990400bef5ef82d35ae3a81
Comment 3 Steve Salevan 2009-06-24 18:02:39 EDT
VERIFIED in 6/19 build.
Comment 4 Preethi Thomas 2009-07-29 12:36:03 EDT
release pending
7/24 build on https://sun-x4200-01.rhts.bos.redhat.com

No ISE
A kickstartable tree is required message is displayed.
Comment 5 Brandon Perkins 2009-09-10 15:26:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.